//
//  HerasArrayDataSource.m
//  musicplayer
//
//  Created by jianquan chen on 12-6-26.
//  Copyright (c) 2012年 zjut. All rights reserved.
//

#import "HerasArrayDataSource.h"
#import "HerasSound.h"
#import "HerasTime.h"
@implementation HerasArrayDataSource
@synthesize dataSource;
-(NSInteger) numberOfRowsInTableView:(NSTableView *)tableView
{
    return dataSource?[dataSource count]:0;
}
-(id) tableView:(NSTableView *)tableView objectValueForTableColumn:(NSTableColumn *)tableColumn row:(NSInteger)row
{
    id value=@"???";
    if(dataSource)
    {
        if(row >=0&&row<[dataSource count])
        {
            HerasSound * sound=[dataSource objectAtIndex:row];
            NSString * cid=[tableColumn identifier];
            //coloumn title 
            if([@"mtitle" isEqualToString:cid]){
            NSURL* url=[sound url];
            NSRange range=[[url relativePath] rangeOfString:@"/" options:NSBackwardsSearch];
            NSString * filename=[[url relativePath] substringFromIndex:range.location+1];
            range=[filename rangeOfString:@"."];
            filename=[filename substringToIndex:range.location];
            value=filename;
            }
            //column time
            else if([@"mtime" isEqualToString:cid])
            {
               
                value=[HerasTime parse:[[sound movie] duration]];
                
            }
            else {
                value=[NSString stringWithFormat:@"%u",[sound index]];
            }
        }
    }
    return value;
}
@end
