//
//  HerasController.h
//  musicplayer
//
//  Created by jianquan chen on 12-6-17.
//  Copyright (c) 2012年 zjut. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <Cocoa/Cocoa.h>
#import "HerasPlayer.h"
#import "HerasArrayDataSource.h"
#import "HerasPlaybackStatus.h"
@interface HerasController :NSObject <HerasPlaybackStatus>
{
    
    HerasPlayer * player;
    
    NSArray * fileTypes;
    NSOpenPanel * openPanel;
    int total;
    HerasArrayDataSource * ds;
    
    NSImage * imagePlay;
    NSImage * imagePause;
    NSImage * imageVolume;
    NSImage * imageVolumeMute;
    NSTimer * timer;
    NSAlert * alert;
    BOOL ready;
}
@property(nonatomic)  IBOutlet NSSlider * progressbar;
@property(nonatomic)  IBOutlet NSSlider * volumbar;
@property(nonatomic)  IBOutlet NSTextField * name;
@property(nonatomic)  IBOutlet NSTextField * time;
@property(nonatomic)  IBOutlet NSTableView * table;
@property(nonatomic)  IBOutlet NSButton * playPause;
@property(nonatomic)  IBOutlet NSButton * volumeButton;
@property(nonatomic)  IBOutlet NSButton * loopButton;
@property(nonatomic)  IBOutlet NSButton * randomButton;
@property (nonatomic) IBOutlet NSProgressIndicator * indicator;
-(IBAction)volumeChange:(id *)sender;
-(IBAction)playClick:(id *)sender;
-(IBAction)nextClick:(id *)sender;
-(IBAction)previousClick:(id *)sender;
-(IBAction)playbackChange:(id *)sender;
-(IBAction)fopen:(id)sender;
-(IBAction)mute:(id *)sender;
-(IBAction)mAbout:(id)sender;
-(IBAction)checkboxCheck:(id)sender;
-(IBAction)volumeUpDown:(NSMenuItem *)sender;
-(IBAction)modeChange:(NSMenuItem *)sender;
-(IBAction)deleteOne:(id)sender;
-(IBAction) deleteAll:(id)sender;
@end
