//
//  HerasSound.m
//  musicplayer
//
//  Created by jianquan chen on 12-6-28.
//  Copyright (c) 2012年 zjut. All rights reserved.
//

#import "HerasSound.h"
#import <QTKit/QTKit.h>
@implementation HerasSound
@synthesize movie;
@synthesize url;
@synthesize index;
static  long soundIDInt=0;
-(id) init
{
    if (self=[super init]) {
        soundId=[self generateUID];
    }
    return  self;
}
-(id) initWithURL:(NSURL *)file
{
    if(self=[super init])
    {
        [self setUrl:file];
        QTMovie* mv=[[QTMovie alloc] initWithURL:file error:nil];
        [self setMovie:mv];
        soundId=[self generateUID ];
    }
    return self;
}
-(NSString *)uid
{
    return soundId;
}
-(NSString *) generateUID
{
    NSString* uid=[@"sound_" stringByAppendingString:[NSString stringWithFormat:@"%u",soundIDInt++]];
//    CFUUIDRef uuid=CFUUIDCreate(NULL);
//    uid=(__bridge_transfer NSString*)CFUUIDCreateString(NULL,uuid);
//    CFRelease(uuid);
    return uid;
}
-(BOOL) equals:(HerasSound *)sound
{
    BOOL same=NO;
    if (sound) {
        NSString * uid=[sound uid];
        if ([uid isEqualToString:[self uid]]) {
            same=YES;
        }
    }
    return same;
}
@end
