//
//  HerasTime.m
//  musicplayer
//
//  Created by jianquan chen on 12-6-26.
//  Copyright (c) 2012年 zjut. All rights reserved.
//

#import "HerasTime.h"

@implementation HerasTime
+(NSString *) parse:(QTTime)time
{
    NSMutableString * str=[NSMutableString stringWithCapacity:8];
    if(time.timeScale){
        long long duration=(time.timeValue-time.timeValue%time.timeScale)/time.timeScale;
        if(duration<0)
        {
            duration=0;
        }
        long long second=duration%60;
        long long minute=((duration-second)/60)%60;
        long long hour=(duration-second-60*minute)/3600;
        NSString * replace=@"";
        if(hour<10)
        {
            replace=@"0%U";
        }else {
          replace=@"%U";  
        }
        [str appendString:[NSString stringWithFormat:replace,hour]];
        [str appendString:@":"];
        if(minute<10)
        {
            replace=@"0%U";
        }else {
            replace=@"%U";  
        }
        [str appendString:[NSString stringWithFormat:replace,minute]];
        [str appendString:@":"];
        if(second<10)
        {
            replace=@"0%U";
        }else {
            replace=@"%U";  
        }
        [str appendString:[NSString stringWithFormat:replace,second]];
    }
    return str;
    
}
@end
